#

Function SIMPLE-VECTOR-P

Syntax:

simple-vector-p object => generalized-boolean

Arguments and Values:

object---an object.

generalized-boolean---a generalized boolean.

Description:

Returns true if object is of type simple-vector; otherwise, returns false..

Examples:

     (simple-vector-p (make-array 6)) =>  true
     (simple-vector-p "aaaaaa") =>  false
     (simple-vector-p (make-array 6 :fill-pointer t)) =>  false

Side Effects: None.

Affected By: None.

Exceptional Situations: None.

See Also:

simple-vector

Notes:

     (simple-vector-p object) ==  (typep object 'simple-vector)

Copyright 1996-2005, LispWorks Ltd. All rights reserved.